summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
Diffstat (limited to 'common')
-rwxr-xr-xcommon/scripts/service-check-gfx.sh34
-rwxr-xr-xcommon/scripts/test_can_bitrate.sh4
-rwxr-xr-xcommon/scripts/test_can_loopback_mode.sh5
-rwxr-xr-xcommon/scripts/test_can_modules.sh22
-rwxr-xr-xcommon/scripts/test_can_send_receive.sh5
5 files changed, 44 insertions, 26 deletions
diff --git a/common/scripts/service-check-gfx.sh b/common/scripts/service-check-gfx.sh
index addfda9..9064dbd 100755
--- a/common/scripts/service-check-gfx.sh
+++ b/common/scripts/service-check-gfx.sh
@@ -3,6 +3,21 @@
export LANG=C
export TERM=dumb
+while getopts ":b:d:" option; do
+ case "${option}" in
+ b)
+ if [[ $OPTARG = -* ]]; then
+ ((OPTIND--))
+ continue
+ fi
+ BUILD_TAGS=${OPTARG}
+ ;;
+ d)
+ DEVICE_TAGS=${OPTARG}
+ ;;
+ esac
+done
+
REQUIREDSOCKETS="cynara.socket dbus.socket security-manager.socket"
REQUIREDSERVICES="afm-system-daemon.service connman.service ofono.service weston.service bluetooth.service"
@@ -14,12 +29,19 @@ sleep 10
for i in ${ALL} ; do
echo -e "\n\n########## Test for service ${i} being active ##########\n\n"
-
- systemctl is-active ${i} >/dev/null 2>&1
- if [ $? -eq 0 ] ; then
- RESULT="pass"
- else
- RESULT="fail"
+ RESULT=""
+ if [[ ${i} == "weston.service" ]]; then
+ if [[ ${DEVICE_TAGS} != *"screen"* ]] || [[ ${BUILD_TAGS} != *"screen"* ]]; then
+ RESULT="skip"
+ fi
+ fi
+ if [[ -z $RESULT ]]; then
+ systemctl is-active ${i} >/dev/null 2>&1
+ if [ $? -eq 0 ] ; then
+ RESULT="pass"
+ else
+ RESULT="fail"
+ fi
fi
lava-test-case ${i} --result ${RESULT}
diff --git a/common/scripts/test_can_bitrate.sh b/common/scripts/test_can_bitrate.sh
index 2461fa0..3a8f225 100755
--- a/common/scripts/test_can_bitrate.sh
+++ b/common/scripts/test_can_bitrate.sh
@@ -69,9 +69,9 @@ for b in `seq 778 790`;do
candump can1 > $file_can &
sleep 3
if [ -s $file_can ];then
- lava-test-case can1_xfer_config_range_start --result pass --measurement $b --units bit/s
- else
lava-test-case can1_xfer_config_range_start --result fail --measurement $b --units bit/s
+ else
+ lava-test-case can1_xfer_config_range_start --result pass --measurement $b --units bit/s
sleep 2
echo "This bitrate $b belongs to the domain but doesn't provide frames transmission"
fi
diff --git a/common/scripts/test_can_loopback_mode.sh b/common/scripts/test_can_loopback_mode.sh
index 7f86ef9..4425c5d 100755
--- a/common/scripts/test_can_loopback_mode.sh
+++ b/common/scripts/test_can_loopback_mode.sh
@@ -9,6 +9,11 @@ if [ ! -e /sys/class/net/can0 ];then
exit 0
fi
sleep 2
+
+#Make sure always that the can interface is down before
+#starting the config step.
+ip link set can0 down
+
#config the can interfaces
ip link set can0 type can bitrate 50000 loopback on
sleep 2
diff --git a/common/scripts/test_can_modules.sh b/common/scripts/test_can_modules.sh
index d6caf54..6fe4b02 100755
--- a/common/scripts/test_can_modules.sh
+++ b/common/scripts/test_can_modules.sh
@@ -8,13 +8,11 @@ if [ ! -e /sys/class/net/can1 ];then
lava-test-case unload_c_can_module --result skipp
lava-test-case unload_can_dev_module --result skip
lava-test-case canconfig_can0 --result skip
- lava-test-case canconfig_can1 --result skip
lava-test-case load_can_module --result skip
lava-test-case load_can_raw_module --result skip
lava-test-case load_c_can_module --result skip
lava-test-case load_can_dev_module --result skip
lava-test-case canconfig_can0 --result skip
- lava-test-case canconfig_can1 --result skip
exit 0
fi
lsmod | grep can
@@ -70,14 +68,6 @@ else
lava-test-case canconfig_can0 --result pass
fi
-sleep 3
-
-ip link set can1 type can bitrate 50000
-if [ $? -eq 0 ];then
- lava-test-case canconfig_can1 --result fail
-else
- lava-test-case canconfig_can1 --result pass
-fi
sleep 5
@@ -121,6 +111,10 @@ fi
sleep 5
+#Make sure always that the can interface is down before
+#starting the config step.
+ip link set can0 down
+
ip link set can0 type can bitrate 50000
if [ $? -eq 0 ];then
lava-test-case canconfig_can0 --result pass
@@ -129,11 +123,3 @@ else
fi
sleep 3
-ip link set can1 type can bitrate 50000
-if [ $? -eq 0 ];then
- lava-test-case canconfig_can1 --result pass
-else
- lava-test-case canconfig_can1 --result fail
-fi
-
-sleep 3
diff --git a/common/scripts/test_can_send_receive.sh b/common/scripts/test_can_send_receive.sh
index 06bde6f..150ce37 100755
--- a/common/scripts/test_can_send_receive.sh
+++ b/common/scripts/test_can_send_receive.sh
@@ -13,6 +13,11 @@ if [ ! -e /sys/class/net/can1 ];then
exit 0
fi
+#Make sure always that the can interface is down before
+#starting the config step.
+ip link set can0 down
+ip link set can1 down
+
#config the can interfaces
ip link set can0 type can bitrate 50000
if [ $? -eq 0 ];then